

Name: ilbc
Version: rfc3951
Release: alt1

Group: System/Libraries
Summary: %name

License: Global IP Sound iLBC Public License 
Url: http://www.linphone.org/linphone.php
Source0: http://simon.morlat.free.fr/download/stable/source/%name-%version.tar.gz
Source1: http://www.ilbcfreeware.org/documentation/gips_iLBClicense.pdf
# Automatically added by buildreq on Sat Dec 17 2005
BuildRequires: gcc-c++ gcc-g77 libstdc++-devel packages-info-i18n-common

%description
Library files of %name

%package devel
Summary: Development files for %name
Group: Development/C
Requires: %name
 
%description devel
Files needed for buld programs with %name

%prep
%setup -q

%build
%configure
cp %SOURCE1 ./
%make

%install
%make DESTDIR=$RPM_BUILD_ROOT install
cd $RPM_BUILD_ROOT/usr/include; ln -sf ilbc/*.h .

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :


%files
%doc README COPYING NEWS gips_iLBClicense.pdf
%_libdir/*.so.*

%files devel
%_includedir/ilbc/*
%_includedir/*.h
%_libdir/*.so
%exclude %_libdir/*.a

%changelog
* Sat Dec 17 2005 Vital Khilko <vk@altlinux.ru> rfc3951-alt1
- initial build

